Page MenuHomeFreeBSD

FAQ renew - Working Group
ClosedPublic

Authored by carlavilla on Aug 30 2023, 8:44 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Feb 18, 5:56 AM
Unknown Object (File)
Tue, Jan 30, 7:01 PM
Unknown Object (File)
Tue, Jan 30, 12:30 AM
Unknown Object (File)
Sun, Jan 28, 10:19 PM
Unknown Object (File)
Jan 21 2024, 1:04 PM
Unknown Object (File)
Jan 21 2024, 1:04 PM
Unknown Object (File)
Jan 21 2024, 1:03 PM
Unknown Object (File)
Jan 18 2024, 9:32 PM

Details

Summary

The idea of the FAQ Working group was to simplify the FreeBSD FAQ, reorder some sections and eliminate others.

Here I have added the list of headings, if no one is against or thinks that something is missing to be added, in 2 weeks we will begin to fill in the different sections.

The idea is to try not to reference any version of FreeBSD and try to make the questions and answers global.

The idea is also to keep the FAQ as clean and clear as possible.
For specific things or how to perform a certain task we already have the Handbook and the different articles.

To read more easily: https://people.freebsd.org/~carlavilla/handbook-wg/faq.html

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

carlavilla created this revision.
carlavilla retitled this revision from FAQ WG to FAQ renew - Working Group.

Add some entries proposed by fernape@

LGTM.

I added one more item. If it overlaps with the answer to another FAQ, we can remove it.

documentation/content/en/books/faq/_index.adoc
36

are these really supposed to be unicode ellipses? …

49–50

add "elected" to Core Team

49–50

I'd say "many" instead of "most."

55–57

I would just drop these explicit references, just mention what FreeBSD's goals are.

carlavilla marked 4 inline comments as done.

Fix comments from @emaste

documentation/content/en/books/faq/_index.adoc
49–50

Since this does not pretend to be an exhaustive list, I would use a disjunctive:

...such as the overall direction of the project and who is allowed... --> ...such as the overall direction of the project or who is allowed...

49–50

I'm not sure if this should be Feel free to modify, distribute...

49–50

Although it was in the original too, shouldn't the comma be *after* though?

...comes with slightly more strings attached, though at least on the side of enforced access rather than the usual opposite. --> ...comes with slightly more strings attached though, at least on the side of enforced access rather than the usual opposite.

50

...between FreeBSD and NetBSD, OpenBSD, and other... --> ...between FreeBSD, NetBSD, OpenBSD, and other...

51

I would remove this sentence.
It does not belong to this section, but to the next one where there is already a very similar sentence.

51

Link to books/handbook/ports?

53

To avoid repeating snapshot how about?

These snapshots represent a snapshot in time... --> These snapshots capture a moment in time...

106

I had the idea that there is a hard coded limit in the code... FreeBSD can support more, but then the limit needs to be changed and the kernel recompiled.

124

This paragraph title does not render properly, but that is most likely due to the empty body in the previous one.

Trying to fix the offset of the comments after the update in the review.

documentation/content/en/books/faq/_index.adoc
49–50

Since this does not pretend to be an exhaustive list, I would use a disjunctive:

...such as the overall direction of the project and who is allowed... --> ...such as the overall direction of the project or who is allowed...

49–50

I'm not sure if this should be Feel free to modify, distribute... or The license means you are free to modify...

49–50

Although it was in the original too, shouldn't the comma be after though?

...comes with slightly more strings attached, though at least on the side of enforced access rather than the usual opposite. --> ...comes with slightly more strings attached though, at least on the side of enforced access rather than the usual opposite.

50

...between FreeBSD and NetBSD, OpenBSD, and other... --> ...between FreeBSD, NetBSD, OpenBSD, and other...

51

I would remove this sentence.
It does not belong to this section, but to the next one where there is already a very similar sentence.

51

Link to books/handbook/ports?

carlavilla added a subscriber: jhb.
carlavilla added inline comments.
documentation/content/en/books/faq/_index.adoc
51

Personally I prefer to keep the links between documents to a minimum, but if you think it is essential to add links here, I can add the links without problems

106

I will ask @emaste or @jhb to see if they can help us with this question, I leave the comment unmarked.

124

Yes, that is why, in the final version we will not have that problem :)

carlavilla marked 2 inline comments as done.

Fix Fernando's comments

documentation/content/en/books/faq/_index.adoc
123–124

Since we link to the Architecture Handbook, I would link to the Handbook too.

124

Ummm. It doesn't render properly in the preview.

documentation/content/en/books/faq/_index.adoc
57–58

Found it:

$ find . -name param.h -exec egrep -H '.*define.*MAXCPU.*' {} \;
./sys/amd64/include/param.h:#define MAXCPU              1024
./sys/amd64/include/param.h:#define MAXCPU              1
./sys/arm/include/param.h:#define       MAXCPU          4
./sys/arm/include/param.h:#define       MAXCPU          1
./sys/arm64/include/param.h:#define     MAXCPU          1024
./sys/arm64/include/param.h:#define     MAXCPU          1
./sys/i386/include/param.h:#define MAXCPU               32
./sys/i386/include/param.h:#define MAXCPU               1
./sys/powerpc/include/param.h:#define   MAXCPU          256
./sys/powerpc/include/param.h:#define   MAXCPU          1
./sys/riscv/include/param.h:#define     MAXCPU          16
./sys/riscv/include/param.h:#define     MAXCPU          1

Those are the maximum number of CPUs per architecture.

Finish the FAQ and fix some comments :)

carlavilla added inline comments.
documentation/content/en/books/faq/_index.adoc
57–58

Niceeeeeeeeeeeeeeeeeeeeeeee, thank you for that!!!

Still need to check the render issue, working on that

documentation/content/en/books/faq/_index.adoc
50

While this was in the original document, I think the memory consumption of shells is of no relevance these days.

carlavilla added inline comments.
documentation/content/en/books/faq/_index.adoc
50

Done :)

carlavilla marked an inline comment as done.

Fix Fernando's comment

This revision is now accepted and ready to land.Sep 28 2023, 8:48 AM

Click the the section of "5. Community Questions" from the "Table of Contents" (in your web page link below) does not jump to that section. Other links from the "Table of Contents" work. Please consider if this requires update.

https://people.freebsd.org/~carlavilla/handbook-wg/faq.html

ashish added inline comments.
documentation/content/en/books/faq/_index.adoc
50

Is it really recommended for production systems ? This[0] offers opposite advice.

References:
[0] https://docs.freebsd.org/en/books/handbook/cutting-edge/#stable

carlavilla added inline comments.
documentation/content/en/books/faq/_index.adoc
50

Good catch :)

carlavilla marked an inline comment as done.

Fix comments.

This revision now requires review to proceed.Oct 7 2023, 7:51 AM
This revision was not accepted when it landed; it landed in state Needs Review.Oct 11 2023, 7:23 PM
This revision was automatically updated to reflect the committed changes.

I recall accepting the invitation to participate in this working group.